+ Antworten
Ergebnis 1 bis 9 von 9
  1. #1
    Registriert seit
    Jan 2011
    Ort
    Uetendorf, Bern, CH
    Beiträge
    1,092

    Standard Call to undefined function snmpget()

    Hab gerade bemerkt, dass mein Script zur Druckerüberprüfung nicht mehr funktioniert. Finde aber nichts zu snmpget. Wurde die Funktion ersetzt?
    mfG Jürg
    IPS V.5.0,Homematic(CCU2,Lanadapter),1-Wire,Pokeys,FS20,Fritzbox 7390,Fingerprint Bio-Gate,RaspberryPi's, Sonos

  2. #2
    Registriert seit
    Feb 2007
    Ort
    Zwickau
    Beiträge
    5,483

    Das könnte evtl. mit der aktualisierten OpenSSL von paresy zusammenhängen, vieleicht kann er etwas dazu sagen.
    MfG Thomas

    Eaton Xcomfort|FS20|1-Wire|Axis WebCams|WMRS200 Wetterstation|Funksystem-868|Gas und Wasserzähler per S0 1-Wire|E-Zähler per OKK+seriell2LAN Adapter|Amazon Alexa|
    Visu auf: 10"Touchscr.|Apple iPod Touch|Apple iPhone|Apple iPad|IPS V5.x|Dashboard|WebFront|iFront


  3. #3
    Registriert seit
    Mar 2008
    Ort
    Ruesselsheim
    Beiträge
    3,500

    Hallo
    Du hast bestimmt beim Starten folgenden Eintrag in deinem Log
    PHP-Code:
    Erweiterung php_snmp.dll nicht geladenNicht nutzbar in Verbindung mit OpenSSL 1.0.1 
    Lies mal hier weiter:
    http://www.ip-symcon.de/forum/thread...808#post200808

  4. #4
    Registriert seit
    Nov 2012
    Ort
    Erding
    Beiträge
    449

    Oder probiers mal hiermit :
    Habs bei mir monatelang in der konstelllation am laufen und ich bleib auch dabei weil mir die SSL Updates aufn Keks gehen

    http://www.ip-symcon.de/wiki/SNMP
    IPS 3.1 Stable || Chromoflex Pro || Siemens Desigo GLT || diverse HM Komponenten || Aeon Labs Z-Wave S2 || RaZberry Pi || ESXi 5.1 || Beagleboard Black || Arduino || Pokeys 57E || 1-Wire Komponenten || EMS Gateway || Viessmann Optokoppler ||
    ... Ich kann micht nicht erinnern, dass ich mal was vergessen hätte ...

  5. #5
    Registriert seit
    Jan 2011
    Ort
    Uetendorf, Bern, CH
    Beiträge
    1,092

    danke für Eure Tips. Die snmp.dll, welche ich hatte, war irgendwie platt. Neu rüberkopiert und nun geht's wieder.

    @Flobo

    Läuft ssnmpq auch unter W7 64bit?
    mfG Jürg
    IPS V.5.0,Homematic(CCU2,Lanadapter),1-Wire,Pokeys,FS20,Fritzbox 7390,Fingerprint Bio-Gate,RaspberryPi's, Sonos

  6. #6
    Registriert seit
    Nov 2012
    Ort
    Erding
    Beiträge
    449

    Jupp hatte bis jetzt keine Probleme damit auf meiner x64 Installation und ich frage so ca. 500 SNMP Quellen im 30 sek takt damit ab.

    Gruß
    IPS 3.1 Stable || Chromoflex Pro || Siemens Desigo GLT || diverse HM Komponenten || Aeon Labs Z-Wave S2 || RaZberry Pi || ESXi 5.1 || Beagleboard Black || Arduino || Pokeys 57E || 1-Wire Komponenten || EMS Gateway || Viessmann Optokoppler ||
    ... Ich kann micht nicht erinnern, dass ich mal was vergessen hätte ...

  7. #7
    Registriert seit
    Apr 2012
    Ort
    Euskirchen
    Beiträge
    217

    Standard PHP und OpenSSL 1.0.1

    Spricht denn irgendwas dagegen, PHP mit OpenSSL 1.0.1 zu kompilieren?

    Da ich snmpset() mit der in IPS enthaltenen 5.4.8 nun nicht mehr nutzen kann, ist das irgendwie uncool...

    Der managed PoE Midspan will nun nicht mehr so,wie ich will.

    Gruss,

    Jörg

  8. #8
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,052

    Es spricht nichts dagegen. Nur PHP macht es nicht :-)

    Du kannst aber wie im verlinkten Beitrag zu sehen ohne Probleme auf die 0.9.8 wechseln.

    paresy

  9. #9
    Registriert seit
    Apr 2012
    Ort
    Euskirchen
    Beiträge
    217

    Wie doof...

    0.9.8 funkt einwandfrei...!

    Thx

Ähnliche Themen

  1. Call to undefined function oci_connect()
    Von dapor im Forum Skripte, PHP, SQL
    Antworten: 7
    Letzter Beitrag: 09.06.12, 14:51
  2. problem: Call to undefined function dl()
    Von pleibling im Forum Skripte, PHP, SQL
    Antworten: 5
    Letzter Beitrag: 07.12.11, 19:06
  3. Antworten: 2
    Letzter Beitrag: 27.03.11, 10:43